Appearance
GET
/warehouse-management/warehouse-v2/warehouses/{warehouseId}Required scope:
viskan:warehouse:readGet a warehouse by its unique identifier.
Parameters
Path parameters
warehouseId integerThe unique identifier of the warehouse.
Response
The response contains the warehouse.
JSON
{
"warehouseId": 1,
"warehouseName": "Main Warehouse",
"warehouseNumber": "WH-001",
"active": true,
"currencyCode": "SEK",
"settings": {
"managedByExternalSystem": true,
"balancesUpdatedByExternalSystem": false,
"locationsAllowed": true,
"usedForDeliveries": true,
"usedForReturns": false,
"purchasingAllowed": false,
"manualSelectionOnly": false,
"includeInStockBalances": true
},
"address": {
"addressLine1": "Allégatan 1",
"careOf": "...",
"postalCode": 50344,
"city": "Borås",
"administrativeDivision": "...",
"countryCode": "SE"
},
"contactInfo": {
"contactPerson": "John Doe",
"primaryPhoneNumber": "+46701234567",
"alternativePhoneNumber": "...",
"emailAddress": "warehouse@example.com"
},
"modifiedAt": "2024-08-14T12:34:56.412",
"createdAt": "2024-08-14T12:34:56.412"
}
| Error code | Description |
|---|---|
warehouse-not-found | Warehouse does not exist. |